﻿<script type="text/javascript">
        $(document).ready(function () {
            LoadDonVi();
        });
        function LoadDonVi() {
            $(function(){
                var dataGrid;
                var lsIdDonViChiTiet = $("#lsIdDonViChiTiet").val();
                $.ajax({
                        type: "Post",
                        url: '@Url.Action("GetDonVi", "ThongKeVungXanh")',
                        dataType: 'text',
                    success: function (data) {
                        console.log(lsIdDonViChiTiet);
                            var makeAsyncDataSource = function(dataDemo){
                                return new DevExpress.data.CustomStore({
                                    loadMode: "raw",
                                    key: "Id",
                                    load: function() {
                                        return dataDemo;
                                    }
                                });
                            };

                        $("#DonViChiTiet").dxDropDownBox({
                                value: lsIdDonViChiTiet.split(","),//lsIdDonViChiTiet
                                valueExpr: "Id",
                                placeholder: "Chọn vào để xem",
                                displayExpr: "TenDonVi",
                                showClearButton: true,
                                dataSource: makeAsyncDataSource(JSON.parse(data)),
                                contentTemplate: function (e) {
                                    var value = e.component.option("value"),
                                        $dataGrid = $("<div>").dxDataGrid({
                                            dataSource: e.component.getDataSource(),
                                            columns: [{
                                                dataField: "TenDonVi",
                                                caption: "Tất cả đơn vị"
                                            }],
                                            hoverStateEnabled: true,
                                            paging: { enabled: true, pageSize: 10 },
                                            filterRow: { visible: true },
                                            scrolling: { mode: "virtual" },
                                            height: 345,
                                            selection: { mode: "multiple" },
                                            selectedRowKeys: value,
                                            onSelectionChanged: function (selectedItems) {
                                                var keys = selectedItems.selectedRowKeys;
                                                e.component.option("value", keys);
                                            }
                                        });

                                    dataGrid = $dataGrid.dxDataGrid("instance");

                                    e.component.on("valueChanged", function (args) {
                                        var value = args.value;
                                        dataGrid.selectRows(value, false);
                                    });

                                    return $dataGrid;
                                },
                                onOptionChanged: function (e) {
                                    if (e.name == "value") {
                                        $('#lsIdDonViChiTiet').val(e.value);
                                    }
                                }
                            });
                        },
                        error: function (e) {
                            swal({
                                title: "Lỗi",
                                text: "Không lấy được dữ liệu",
                                type: 'error',
                                showCancelButtonClass: 'OK'
                            });
                        }
                    });


            });
        }
</script>